RHEL 6 : curl (RHSA-2017:0847)

This script is Copyright (C) 2017 Tenable Network Security, Inc.


Synopsis :

The remote Red Hat host is missing one or more security updates.

Description :

An update for curl is now available for Red Hat Enterprise Linux 6.

Red Hat Product Security has rated this update as having a security
impact of Moderate. A Common Vulnerability Scoring System (CVSS) base
score, which gives a detailed severity rating, is available for each
vulnerability from the CVE link(s) in the References section.

The curl packages provide the libcurl library and the curl utility for
downloading files from servers using various protocols, including
HTTP, FTP, and LDAP.

Security Fix(es) :

* It was found that the fix for CVE-2015-3148 in curl was incomplete.
An application using libcurl with HTTP Negotiate authentication could
incorrectly re-use credentials for subsequent requests to the same
server. (CVE-2017-2628)

This issue was discovered by Paulo Andrade (Red Hat).

See also :

https://www.redhat.com/security/data/cve/CVE-2017-2628.html
http://rhn.redhat.com/errata/RHSA-2017-0847.html

Solution :

Update the affected packages.

Risk factor :

Medium / CVSS Base Score : 6.8
(CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P)
CVSS Temporal Score : 5.6
(CVSS2#E:F/RL:OF/RC:ND)
Public Exploit Available : true

Family: Red Hat Local Security Checks

Nessus Plugin ID: 99335 ()

Bugtraq ID:

CVE ID: CVE-2017-2628

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now